package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.TruckConsigeeBean;

public interface TruckConsigneeDal {
	/**
	 * 插入本地生成的客户信息
	 * @param consigeeBean
	 */
	void insertNativeConsignee(TruckConsigeeBean consigeeBean);
	/**
	 * 插入服务器获取的客户信息
	 * @param consigeeBean
	 */
	void insertOnlineConsignee(TruckConsigeeBean consigeeBean);
	/**
	 * 插入客户信息列表
	 * @param consigeeBeans
	 */
	void insertConsigneeList(List<TruckConsigeeBean> consigeeBeans);
	/**
	 * 删除所有的汽车客户信息
	 */
	void deleteAllTruckConsignee();
	/**
	 * 查询所有的汽车客户信息
	 * @return
	 */
	List<TruckConsigeeBean> queryAllTruckConsignee();
	/**
	 * 通过条件查询客户信息
	 * @param conditionStr
	 * @return
	 */
	List<TruckConsigeeBean> searchConsigneeByCondition(String conditionStr);
	/**
	 * 查询所有的汽车客户信息
	 * @return
	 */
	List<String> queryAllTruckConsigneeName();
	/**
	 * 通过条件查询客户信息
	 * @param conditionStr
	 * @return
	 */
	List<String> searchConsigneeNameByCondition(String conditionStr);
	TruckConsigeeBean getTruckConsigee(Cursor c);

}
